Get a specific order
Returns the order with the given id
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orderId*string
The id of the order to retrieve. This is the same as the id of the basket that was checked out.
Header Parameters
x-api-key*string
OneBasket API Key
Format
passwordResponse Body
application/json
curl -X GET "https://example.com/orders/string" \ -H "x-api-key: pa$$word"{ "id": "string", "created": null, "providerOrders": [ { "id": "string", "lineItems": [ { "id": "string", "type": "Ticketing", "productId": "string", "totalPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "totalTax": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "originalTotalPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "totalDiscount": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "providerDiscounts": [ { "id": "string", "title": "string", "code": "string", "description": "string", "amount": { "minorUnits": 0, "currencyCode": "string", "precision": 0 } } ], "ticketing": { "type": "TicketedEvent", "eventType": "SportsMatch", "sportsMatch": { "matchDate": null, "competition": { "name": "string", "season": "string", "competitionType": "string" }, "hostTeam": { "id": "string", "name": "string", "logoImageUrl": "string" }, "opponentTeam": { "id": "string", "name": "string", "logoImageUrl": "string" } }, "tickets": [ { "id": "string", "providerSeatId": "string", "seatCategory": "string", "tariff": "string", "section": "string", "row": "string", "seat": "string", "price": { "minorUnits": 0, "currencyCode": "string", "precision": 0 } } ] }, "consumable": { "quantity": 0, "unitPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "productGroupId": "string", "kioskId": "string", "timestreamId": "string", "validUntil": null, "title": "string", "description": "string", "allergens": "string", "image": "string", "calories": 0 }, "timeSlot": { "quantity": 0, "unitPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 } }, "variableProduct": { "quantity": 0, "unitPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "variant": { "id": "string", "name": "string", "sku": "string", "imageUrl": "string" } } } ], "totalPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "totalTax": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "originalTotalPrice": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "totalProviderDiscounts": { "minorUnits": 0, "currencyCode": "string", "precision": 0 }, "providerDiscounts": [ { "id": "string", "title": "string", "code": "string", "description": "string", "amount": { "minorUnits": 0, "currencyCode": "string", "precision": 0 } } ], "deliveryMethods": [ { "type": "KioskCollection" } ] } ], "events": [ { "providerOrderId": "string", "category": "Processing", "eventTime": null, "receivedTime": null, "id": "string", "type": "string" } ]}